/**
 * @(#)DirFilter.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * @author  Intelligent Technology Inc.
 * @version 1.00 2001/10/01-2002/03/26
 */
package	jp.co.nri.rid.table.editor.filter;

import	java.io.*;
import	java.util.*;

/**
 * Directory Filter。ディレクトリのみを抽出するフィルタ。
 */
public class DirFilter implements FilenameFilter{
	/**
	 * FilenameFilter実装
	 * @since	1.00
	 */
	public boolean accept(File dir ,String name){
		File file = new File(dir ,name);
		if(file.isDirectory())	return true;
		return false;
	}
}
